Summary: A Gtk+ based multiprotocol instant messaging client
Name: gaim

%global momorel 5
%global md5sum_src0 9205321ac11fad271c90f2f0d7c5e7ce
%global md5sum_patch0 46654b5cbbf155512d13fe534215e910
%ifarch x86_64
# FIXME: /usr/lib/rpm/brp-strip-static-archive is not work...
%define __os_install_post    /usr/lib/rpm/brp-compress /usr/lib/rpm/brp-strip /usr/lib/rpm/brp-strip-shared /usr/lib/rpm/brp-strip-comment-note /usr/lib/rpm/modify-init.d /usr/lib/rpm/modify-la %{nil}
%endif

Version: 1.5.0
Release: %{momorel}m
Group: Applications/Internet
License: GPL
URL: http://gaim.sourceforge.net/

%NoSource 0 http://jaist.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2 %{md5sum_src0}

%NoPatch 0 http://www.cc.rim.or.jp/~yaz/gaim-%{version}_jp.patch.gz %{md5sum_patch0}

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: doxygen
BuildPreReq: perl, libao-devel
BuildPreReq: gtk+-devel, bison, gettext
BuildPreReq: startup-notification-devel
BuildPreReq: mozilla-devel
BuildPreReq: mozilla-psm
BuildPreReq: gnutls-devel >= 1.2.9
BuildPreReq: evolution-data-server-devel >= 1.6.0
Requires: mozilla-psm

%description
Gaim is NOT affiliated with or endorsed by AOL.

Gaim allows you to talk to anyone using AOL's
Instant Messenger service (you can sign up at http://www.aim.aol.com).

It uses the TOC version of the AOL protocol, so your buddy list is
stored on AOL's servers and can be retrieved from anywhere.

It contains many of the same features as AOL's IM client while at
the same time incorporating many new features.

Gaim also contains a multiple connection feature which consists of
protocol plugins.  These plugins allow you to use gaim to connect
to other chat services such as Yahoo!, ICQ, and IRC.
#'

%package devel
Summary: A Gtk+ based multiprotocol instant messaging client
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Gaim is NOT affiliated with or endorsed by AOL.

Gaim allows you to talk to anyone using AOL's
Instant Messenger service (you can sign up at http://www.aim.aol.com).

It uses the TOC version of the AOL protocol, so your buddy list is
stored on AOL's servers and can be retrieved from anywhere.

It contains many of the same features as AOL's IM client while at
the same time incorporating many new features.

Gaim also contains a multiple connection feature which consists of
protocol plugins.  These plugins allow you to use gaim to connect
to other chat services such as Yahoo!, ICQ, and IRC.
#'

%prep
%setup -q
%patch0 -p1

%build
%configure \
  --enable-static \
  --enable-shared \
  --enable-plugins \
  --enable-perl \
  --disable-tcl \
  --disable-tk \
  --disable-gtkspell \
  --disable-debug \
  --enable-sm \
  --with-nspr-includes=%{_includedir}/nspr4 \
  --with-nspr-libs=%{_libdir} \
  --with-nss-includes=%{_includedir}/nss3 \
  --with-nss-libs=%{_libdir} \
  --program-prefix=""  # prevent from using the build target (=i586-momonga-linux) as the program-prefix
%make

make docs

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog* HACKING INSTALL
%doc NEWS PROGRAMMING_NOTES README* VERSION
%doc doc/CREDITS doc/FAQ doc/*.txt
%{_bindir}/gaim*
%dir %{_libdir}/gaim
%{_libdir}/gaim/*.so
%{_libdir}/libgaim-remote.so.*
%{_datadir}/applications/gaim.desktop
%{_mandir}/man1/gaim*.1.*
%{_datadir}/pixmaps/gaim.png
%{_datadir}/pixmaps/gaim
%{_datadir}/sounds/gaim

%files devel
%defattr(-, root, root)
%doc COPYING doc/html
%{_includedir}/gaim
%{_libdir}/gaim/*.*a
%{_libdir}/lib*.*a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/gaim.pc

%changelog
* Tue May 23 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.5.0-5m)
- delete duplicated dir

* Sat Apr  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.5.0-4m)
- rebuild against evolution-data-server 1.6.0

* Sat Feb 25 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.5.0-3m)
- build with new nspr/nss

* Wed Jan  4 2006 Kazuhiko <kazuhiko@fdiary.net>
- (1.5.0-2m)
- rebuild against evolution-data-server

* Tue Nov  8 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.5.0-1m)
- up to 1.5.0
- CAN-2005-2102, CAN-2005-2103

* Mon Aug  1 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- up to 1.4.0
- [SECURITY] CAN-2005-2370

* Thu May 19 2005 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (1.3.0-1m)
- update to 1.3.0
- many bug fixes and many security fixes
-  long URL crash fix CAN-2005-1261
-  MSN bad messages crash fix CAN-2005-1262
-  drag-n-drop URL crash fix
-  CAN-2005-0965 CAN-2005-0966 CAN-2005-0967

* Thu Mar 24 2005 YAMAZAKI Makoto <zaki@zakky.org>
- (1.2.0-1m)
- updated to 1.2.0

* Tue Feb 15 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.0.2-4m)
- enable x86_64.

* Tue Dec 28 2004 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (1.0.2-3m)
- add Requires mozilla-psm

* Fri Dec 24 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.0.2-2m)
- rebuild against mozilla-1.7.5

* Fri Oct 22 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.2-1m)
- version 1.0.2

* Sun Sep 19 2004 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (1.0.0-2m)
- change mozilla_ver

* Sun Sep 19 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0.0-1m)
- update to 1.0.0

* Tue Aug 31 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.82.1-1m)
- major security fixes and major bugfixes

* Mon Aug 23 2004 Shotaro Kamio <skamio@momonga-linux.org>
- (0.81-1m)
- ver up
- remove --enable-screensaver option. Because configure autodetects it.

* Sat Aug  7 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.77-4m)
- rebuild against mozilla-1.7.2

* Mon Jul 18 2004 Yuya Yamaguchi <bebe@hepo.jp>
- (0.77-3m)
- rebuild against mozilla 1.7

* Mon Jun 28 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.77-2m)
- rebuild against tcl,tk

* Sat May 22 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.77-1m)
- update to 0.77

* Sat Mar 20 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.74-4m)
- change docdir %%defattr

* Thu Jan 22 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.74-3m)
- rebuild against mozilla-1.6

* Wed Dec 17 2003 Kenta MURATA <muraken2@nifty.com>
- (0.74-2m)
- sepalate devel package.
- modify dependencies.

* Mon Dec 15 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (0.74-1m)
- update to 0.74

* Fri Oct 31 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (0.71-3m)
- add -Wl,-rpath,%{_libdir}/mozilla-%{mozilla_ver}  for libnss3.so

* Thu Oct 30 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (0.71-2m)
- add jp patch
- enable nss

* Thu Oct 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.71-1m)
- version 0.71

* Fri Sep 19 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.68-1m)
- version 0.68

* Sat Jun 28 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.64-1m)
- version 0.64

* Mon Apr  7 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.60-1m)
- update to 0.60

* Sat Mar 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.59.8-2m)
- rebuild against for XFree86-4.3.0

* Thu Feb 20 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.59.8-1m)
- update to 0.59.8

* Sun Sep 15 2002 Kentarou Shinohara <puntium@momonga-linux.org>
- (0.59.3-1m)
- version up

* Mon Sep 02 2002 Kentarou Shinohara <puntium@momonga-linux.org>
- (0.59.1-2m)
- unapply euc2 patch to fix build error

* Wed Aug 28 2002 Kentarou Shinohara <puntium@momonga-linux.org>
- (0.59.1-1m)
- version udpate
- unapply ja.patch and Makefile.patch to fix compilation errors

* Thu May 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.56-4k)
- cancel gcc-3.1 autoconf-2.53

* Tue May 28 2002 Toru Hoshina <t@kondara.org>
- (0.56-2k)
- force autoconf-old.

* Wed Apr 24 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (0.56-1k)
- kondarize

* Tue Apr 23 2002 Ryosuke Kutsuna <ryosuke@cool.email.ne.jp>
- Add Japanese Message catalog.

* Thu Apr 11 2002 Rob Flynn <rob@marko.net (0.56 release)
- German translation update (Thanks Karsten Weiss)
- Shell-like send history binded to Ctrl-Up and Ctrl-Down
- Russian Translation Updated (thanks Grigory Bakunov)
- libjabber upgraded to most recent stable version
- Buddylist looks a little better
- Fixed MSN privacy settings
- Group deletion fix (Thanks Mark Doliner)
- Alias/Group syncronization for Jabber (Thanks JSeymour)
- Fixed broken signal handling in gdm-started GNOME sessions (Thanks Jim Seymour, Vann, Robert McQueen)

* Fri Mar 29 2002 Rob Flynn <rob@marko.net> (0.55 release)
- Jabber improvements (Thanks Jim Seymour)
- Various sound cleanups (Thanks Robert McQueen)
- Login process shown in single window (Thanks Michael Golden)
- Can reorder your accounts in the account editor (Thanks Luke Schierer)
- Updated Dutch translation
- Shows "mobile" icon for Oscar buddies using mobile devices (Thanks Mark Doliner)
- Fixed bug in MSN smilies that crashed PPC (and other?) platforms
- Updated Polish Translation (Thanks Przemyslaw Sulek)
- Updated Spanish Translation (Thanks Amaya)
- Updated French translation
- Updated Finnish translation (Thanks Tero Kuusela)
- HTTP Proxy settings now HTTP compliant (Thanks Robert McQueen)
- Speling corections (Thanks Tero Kuusela)
- Oscar list icon fixes (Thanks Mark Doliner)
- Oscar idle times work again (Thanks Mark Doliner)
- Protocol icons on Edit Buddies tab (Thanks Christian Hammond)

* Thu Mar 14 2002 Rob Flynn <rob@marko.net> (0.54 release)
- Compiles without GdkPixbuf again
- GtkIMHtml will refresh when you set a new GTK+ theme
- Improved Yahoo! typing notification (thanks Brian Macke)
- Prompt to authorize MSN buddies who added you while you were offline (Thanks Jason Willis)
- Option to globally disable Buddy Icon animation (Thanks Luke Schierer)
- Numerous bugfixes
- Yahoo! will tell you when your buddies are playing Yahoo! games and give you the ability to join them
- Yahoo! can receive offline messages
- IRC can do DCC chat.
- IRC will convert HTML formatting to mIRC formatting.
- Buddylist tab placement option (Thanks Jason Willis)
- Protocol specific smiley faces
- Italian translation added
- IM Image sending

* Fri Feb 28 2002 Rob Flynn <rob@marko.net> (0.53 release)
- Updated Polish Translation (thanks Przemyslaw Sulek)
- Slovak translation added (Thanks Daniel Rezny)
- Minor bug fixes re: queued away messages
- Better buddy icon transparency (for real this time ;-))
- Ability to change formatting of Oscar screen name
- Better selection in HTML widget (Thanks BMiller)
- New icons for ICQ (Thanks Kevin Miller)
- Editable buddy pounces (Thanks Jason Willis)
- Server side buddy lists in Oscar (Thanks KingAnt :-))
- Fix for the chatlist plugin
- Typing Notification (AIM Direct Connect, Yahoo, MSN)
- IM Images (Receive Only)
- Prettier GtkImHtml selection

* Sun Feb 17 2002 Rob Flynn <rob@marko.net> (0.52 release)
- Better buddy icon transparency (thanks SeanEgan)
- Updated Polish Translation (thanks Przemyslaw Sulek)
- Fixed a little bug with connecting via proxy (thanks for reminding me of this, Manish Singh)
- Updated Simplified Chinese Translation (Thanks Rocky S. Lee)
- Updated German Translation (Thanks Karsten Weiss)
- Yahoo! Messenger works again
- MSN Works again
- Can register a new user with a Jabber Server (JSeymour)
- Can now set Jabber vCards (JSeymour)
- Jabber vCards are now shown in their entirety (JSeymour)
- Various jabber bug fixes/enhancements (JSeymour)

* Thu Jan 24 2002 Rob Flynn <rob@marko.net> (0.51 release)
- Arrow buttons in log viewer and some other dialogs work (thanks Ben Miller)
- Option to only send auto-response while idle (thanks Sean Egan)
- Control time between sending auto-responses (thanks Mark Doliner)
- Should be able to sign on to Oscar using Mac OS X (thanks Fingolfin, Vincas Ciziunas, et al.)
- Finnish translation added (Thanks Tero Kuusela)
- Updated French Translation (Thanks sebfrance)

* Thu Dec 13 2001 Rob Flynn <rob@marko.net> (0.50 release)
- Updated polish translation (Thanks Przemyslaw Sulek)
- Able to import GnomeICU contact lists
- Galeon as browser option (Thanks Rob McQueen)
- IRC /list, /invite (Thanks Sean Egan)
- Added swedish translation (Thanks Christian Rose)
- Option to have IMs and Chats tabbed in same window
- Finally put the lagmeter plugin out of its misery and removed it. (/me dances on its grave.)

* Thu Nov 29 2001 Rob Flynn <rob@marko.net> (0.49 release)
- Can compile against GTK+ 2.0 (version 1.3.10/1.3.11)
- Confirm before removing buddies
- Updated Russian translation (thanks Grigory Bakunov)
- Updated Korean translation (thanks Ho-seok Lee, also for resized ICQ icons)
- Updated Dutch translation (thanks Floris Eshuis)
- Yahoo updates (thanks Brian Macke)
- Jabber updates
- Zephyr updates (thanks Arun A Tharuvai)
- Gadu-Gadu updates (thanks Arkadiusz Miskiewicz)
- Option to show aliases in conversation tabs
- Option to hide windows after sending messages
- licq2gaim.pl conversion script (thanks Arturo Cisneros, Jr.)

* Thu Nov 18 2001 Rob Flynn <rob@marko.net> (0.48 release)
- Right-click on links to open/copy URL
- Yahoo changes
- Oscar can send/receive offline messages in ICQ. Since the "real" ICQ protocol isn't working too well it's recommended that you use Oscar for ICQ.

* Thu Nov 01 2001 Rob Flynn <rob@marko.net> (0.47 release)
- Better font loading (pays attention to charset now) (thanks Arkadiusz Miskiewicz)
- Better recoding in Gadu-Gadu (thanks Arkadiusz Miskiewicz)
- Open Mail button for when you get new mail (Yahoo and MSN)
- New buddy pounce option: Popup Notification
- When adding a buddy, the groups list now updates when you switch accounts.
- When creating a new buddy pounce, gaim now automagically selects "on away" or "on idle", if the user is away or idle.
- Add Opera to the available browsers (thanks Brian Enigma)
- Improved log viewer (thanks to Ben Miller)
- When you are queueing away messages, double clicking on a buddy's name will cause the messages for that name to be dequeued.
- You can choose which sound player you use at run-time (thanks Ben Miller)
- When someone adds you to their buddy list, it asks if you want to add them as well (Yahoo, ICQ, and MSN) (thanks Nathan Walp)
- Option to grey idle buddies (thanks Nathan Walp)
- MSN Privacy Options
- In MSN you can set a person's alias to their "friendly name" by right-click on their name while they're online.
- IRC can do /WHOIS
- The usual bug fixes and memory leak plugs
- Added Dutch translation
- Updated Korean translation

* Thu Oct 18 2001 Rob Flynn <rob@marko.net> (0.46 release)
- New applet icons (courtesy David Raeman)
- ICQ works on big-endian platforms, e.g. sparc and ppc (thanks to Nathan Walp and Ben Miller)
- Better applet icon drawing (thanks to Ari Pollak)
- An extraordinary number of bug fixes
- Updated Korean translation
- Ability to stop animation on buddy icons, restart animation, hide certain buddy icons, and save people's buddy icons, all through a right-click menu
- Event handlers in perl passed arguments as elements of an array rather than all concatenated as a string, making perl much easier to use (thanks Dennis Lambe Jr.)
- Can pass an argument to timeout_handlers in perl (thanks Artem Litvinovich)
- Redesigned Modify Account window (thanks Sean Egan)
- Add buddy dialog now lets you select which protocol to add the buddy to
- Pressing 'signon' on the first screen for accounts that do not require passwords no longer incorrectly displays an error message.

* Thu Oct 04 2001 Rob Flynn <rob@marko.net> (0.45 release)
- New plugin event: event_chat_send_invite
- Major updates to the perl system (reread PERL-HOWTO and SIGNALS)
- Major updates to event_chat_* events for plugins (reread SIGNALS)
- Some GtkIMHtml improvements
- Various bugfixes
- Nick Highlighting in chat
- Tab-completion for nicks in chat (thanks to Sean Egan)
- Large internal reworkings
- New Protocol: Gadu-Gadu, written by Arkadiusz Miskiewicz
- Can choose buddy icon to send (for Oscar)
- New Translation: Polish translation by Przemysaw Suek

* Thu Sep 20 2001 Rob Flynn <rob@marko.net> (0.44 release)
- More sane scaling of buddy icons (intelligently scale to either 48x48 or 50x50 depending on icon)
- Have you ever had it happen where you cancel a login and Gaim starts using all the available processing power? I think I fixed that.
- Temporarily removed Jabber user registration, which wasn't working anyway.
- Added a spiffy Help button
- Wrote a plugin for all those people who miss having the chat rooms in their buddy lists (chatlist.so)
- Updated libfaim
- Added drop down selection to chat invitation
- Improved the look of the chat invitation dialog
- Improved the look of the proxy preferences
- event_im_recv and event_im_display_rcvd passed whether the message received was auto-response (see SIGNALS)
- IRC fixes (largly copied from X-Chat)
- Internal change to how preferences are stored
- Other bug fixes
- Option to hide buddy icons

* Thu Sep 06 2001 Rob Flynn <rob@marko.net> (0.43 release)
- Updated German Translation (thanks Daniel Seifert)
- Can change friendly name in MSN again
- Bug fixes
- Auto-reconnect plugin has exponential timeout (i.e. it tries after 8 seconds, then 16, then 32, etc. up to 17 minutes)
- Removed file transfer things from Napster. It didn't work well anyway. It'll be back eventually. (Does anyone even use napster anymore?)
